### File

`packages/components/eui-date-range-selector/models/eui-time-range-picker.config.model.ts`

### Description

Configuration interface for the time range picker component, defining start and end time values, display options, step increments, and change callbacks for time range selection.

### Index

###### Properties
Optional callback Optional endHours Optional endMins Optional endSecs Optional hasSeconds hours mins Optional secs Optional stepHours Optional stepMinutes Optional stepSeconds

### Properties

callback
`callback: `function``
Type : `function`
Optional
Callback function invoked when time values change, receiving all current time values as parameters

endHours
`endHours: `number``
Type : `number`
Optional
End time hours value (0-23). Optional, defines the upper bound of the time range

endMins
`endMins: `number``
Type : `number`
Optional
End time minutes value (0-59). Optional, defines the upper bound of the time range

endSecs
`endSecs: `number``
Type : `number`
Optional
End time seconds value (0-59). Optional, only used when hasSeconds is true

hasSeconds
`hasSeconds: `boolean``
Type : `boolean`
Optional
Controls whether seconds fields are displayed and editable. Default is false

hours
`hours: `number``
Type : `number`
Start time hours value (0-23)

mins
`mins: `number``
Type : `number`
Start time minutes value (0-59)

secs
`secs: `number``
Type : `number`
Optional
Start time seconds value (0-59). Optional, only used when hasSeconds is true

stepHours
`stepHours: `number``
Type : `number`
Optional
Increment step for hours spinner. Default is 1

stepMinutes
`stepMinutes: `number``
Type : `number`
Optional
Increment step for minutes spinner. Default is 1

stepSeconds
`stepSeconds: `number``
Type : `number`
Optional
Increment step for seconds spinner. Default is 1

# results matching ""

# No results matching ""